#!/usr/bin/env sh

set -e

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

if test -n "$1"; then
    FILE_PATH=$1
elif test ! -t 0; then
    read -r FILE_PATH
else
    >&2 echo "Provide a file"
    exit 1
fi

FILENAME=$(basename $FILE_PATH)


if file -i -b "$FILENAME" | grep "text" &> /dev/null; then
	$SCRIPTPATH/nc-share-text.sh "$FILENAME"
else
	$SCRIPTPATH/nc-share-file.sh "$FILENAME"
fi

